/*
Copyright (c) Members of the EGEE Collaboration. 2004.
See http://www.eu-egee.org/partners/ for details on the
copyright holders.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// File: jdl_attributes.h
// Author: Salvatore Monforte <Salvatore.Monforte@ct.infn.it>
// Copyright (c) 2002 EU DataGrid.

// $Id: 

#ifndef _JDL_STRINGS_
#define _JDL_STRINGS_

/* JDL string definitions */
#define DGS_CERTIFICATESUBJECT          "CertificateSubject"
#define DGS_OUTPUTSE                    "OutputSE"
#define DGS_DATAACCESSPROTOCOL          "DataAccessProtocol"
#define DGS_MOUNTPOINT                  "MountPoint"
#define DGS_REPLICACATALOG              "ReplicaCatalog"
#define DGS_INPUTDATA                   "InputData"
#define DGS_USERCONTACT                 "UserContact"
#define DGS_MYPROXYSERVER               "MyProxyServer"
#define DGS_LASTRBJOBSTATUS             "RBLastJobStatus"
#define DGS_NOTIFICATIONCONTACT         "NotificationContact"
#define DGS_UINOTIFICATIONPORT          "UINotificationPort"
#define DGS_GRCS                        "GlobusResourceContactString"
#define DGS_QUEUENAME                   "QueueName"
#define DGS_ESTIMATEDTRAVERSALTIME      "EstimatedTraversalTime" 

#endif
